Epoch: 1

%global eclipse_ver 4.23
%global bundle_ver 3.29.0
%global jar_ver %{eclipse_ver}
%global drop R-%{jar_ver}-202203080310

Summary: Eclipse Compiler for Java
Name: ecj
Version: %{eclipse_ver}
Release: %mkrel 1
Group:   Development/Java
URL: https://www.eclipse.org
License: EPL-2.0

Source0: https://download.eclipse.org/eclipse/downloads/drops4/%{drop}/ecjsrc-%{jar_ver}.jar
Source1: https://repo1.maven.org/maven2/org/eclipse/jdt/ecj/%{bundle_ver}/ecj-%{bundle_ver}.pom
# The ecj build does not generate a proper manifest, so use the one from the binary distribution
# Extracted from: https://download.eclipse.org/eclipse/downloads/drops4/%%{drop}/ecj-%%{jar_ver}.jar
Source2: MANIFEST.MF

# Always generate debug info when building RPMs (Andrew Haley)
Patch0: 0001-Always-generate-bytecode-debuginfo.patch

BuildArch: noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires: ant
BuildRequires: javapackages-local
BuildRequires: java-devel >= 1:11

%description
ECJ is the Java bytecode compiler of the Eclipse Platform.  It is also known as
the JDT Core batch compiler.

%prep
%autosetup -p1 -c -n %{name}-%{eclipse_ver}

# Specify encoding
sed -i -e '/compilerarg/s/Xlint:none/Xlint:none -encoding cp1252/' build.xml

cp %{SOURCE1} pom.xml
mkdir -p scripts/binary/META-INF/
cp %{SOURCE2} scripts/binary/META-INF/MANIFEST.MF

# Aliases
%mvn_alias org.eclipse.jdt:ecj org.eclipse.jdt:core org.eclipse.jdt.core.compiler:ecj \
  org.eclipse.tycho:org.eclipse.jdt.core org.eclipse.tycho:org.eclipse.jdt.compiler.apt

%build
export JAVA_HOME=/usr/lib/jvm/java
ant

%install
%mvn_artifact pom.xml ecj.jar
%mvn_install

# Install the ecj wrapper script
%jpackage_script org.eclipse.jdt.internal.compiler.batch.Main '' '' ecj ecj true

# Install manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 -p ecj.1 $RPM_BUILD_ROOT%{_mandir}/man1/ecj.1

%files -f .mfiles
%license about.html
%{_bindir}/ecj
%{_mandir}/man1/ecj*



%changelog
* Thu May 23 2024 ns80 <ns80> 1:4.23-1.mga10
+ Revision: 2066564
- new version 4.23 for java 21

* Wed Mar 30 2022 umeabot <umeabot> 1:4.19-2.mga9
+ Revision: 1835499
- Mageia 9 Mass Rebuild

* Wed Mar 10 2021 daviddavid <daviddavid> 1:4.19-1.mga9
+ Revision: 1701079
- Update to latest upstream release 4.19

* Tue Mar 02 2021 daviddavid <daviddavid> 1:4.18-1.mga9
+ Revision: 1695860
- Update to latest upstream release 4.18
- Allow building against Java 11

* Fri Nov 13 2020 tv <tv> 1:4.17-1.mga8
+ Revision: 1644940
- Update to latest upstream release
+ daviddavid <daviddavid>
- Update to latest upstream version 4.14
- Remove upstream code-signatures

* Sat Feb 15 2020 umeabot <umeabot> 1:4.11-2.mga8
+ Revision: 1527618
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 1:4.11-1.mga8
+ Revision: 1422501
- Update to latest release candidate of 4.11

* Wed Dec 12 2018 neoclust <neoclust> 1:4.10-1.mga7
+ Revision: 1340888
- New version 4.10

* Tue Dec 11 2018 daviddavid <daviddavid> 1:4.7.3a-1.mga7
+ Revision: 1340188
- new version: 4.7.3a (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 1:4.6.3-3.mga7
+ Revision: 1260909
- Mageia 7 Mass Rebuild

* Thu Jun 29 2017 daviddavid <daviddavid> 1:4.6.3-2.mga6
+ Revision: 1108671
- Update aliases for jetty

* Sun May 14 2017 neoclust <neoclust> 1:4.6.3-1.mga6
+ Revision: 1101284
- Update to Neon.3 release

* Fri Oct 07 2016 daviddavid <daviddavid> 1:4.6-1.mga6
+ Revision: 1059446
- Update to Neon release
- adjust 'eclipse-gcj-compat4.2.1' patch to make it build

* Wed May 04 2016 neoclust <neoclust> 1:4.5.2-2.mga6
+ Revision: 1009188
- Rebuild with new eclipse

* Mon May 02 2016 neoclust <neoclust> 1:4.5.2-1.mga6
+ Revision: 1008552
- New version 4.5.2

* Fri Apr 01 2016 cjw <cjw> 1:4.5.1-4.mga6
+ Revision: 997489
- add back support for gcj that was removed in 4.5.1-1

* Wed Mar 02 2016 neoclust <neoclust> 1:4.5.1-3.mga6
+ Revision: 981866
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1:4.5.1-2.mga6
+ Revision: 975807
- First rebuild of the java stack
- sync package ecj with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1:4.4.0-2.mga6
+ Revision: 951339
- Mageia 6 Mass Rebuild

* Fri Dec 19 2014 cjw <cjw> 1:4.4.0-1.mga5
+ Revision: 804278
- add BuildRequires: locales
- set LC_ALL to a UTF8 locale, in C locale javac complains about ecj source code
- 4.4
- remove obsolete gcjbootstrap build option

* Wed Oct 15 2014 umeabot <umeabot> 1:4.2.1-10.mga5
+ Revision: 740941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.2.1-9.mga5
+ Revision: 678922
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1:4.2.1-8.mga5
+ Revision: 665338
- remove gcj aot-compilation support and -native subpackage (from fedora)

* Sat Oct 19 2013 umeabot <umeabot> 1:4.2.1-7.mga4
+ Revision: 529866
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1:4.2.1-6.mga4
+ Revision: 453800
- Add depmap for org.eclipse.jdt.core.compiler:ecj
- Add manpage for ecj executable

* Fri Jan 11 2013 umeabot <umeabot> 1:4.2.1-5.mga3
+ Revision: 349309
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 1:4.2.1-4.mga3
+ Revision: 327467
- Rebuild against new eclipse

* Thu Dec 06 2012 dmorgan <dmorgan> 1:4.2.1-3.mga3
+ Revision: 327381
- New version

* Sun Sep 09 2012 dmorgan <dmorgan> 1:3.4.2-7.mga3
+ Revision: 290703
- Add a separate gcj sub package

* Fri Feb 11 2011 dmorgan <dmorgan> 3.4.2-6.mga1
+ Revision: 50002
- Fix provides

* Thu Feb 03 2011 dmorgan <dmorgan> 3.4.2-5.mga1
+ Revision: 46741
- Add provides when in bootstrap

* Tue Feb 01 2011 dmorgan <dmorgan> 3.4.2-4.mga1
+ Revision: 45831
- Adapt for mageia
- imported package ecj


* Fri Nov 26 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:3.4.2-8
- Fix add_to_maven_depmap call (Resolves rhbz#655796)

* Mon Dec 21 2009 Deepak Bhole <dbhole@redhat.com> - 1:3.4.2-7
- Fix RHBZ# 490936. If CLASSPATH is not set, add . to default classpath.

* Wed Sep 9 2009 Alexander Kurtakov <akurtako@redhat.com> 1:3.4.2-6
- Add maven pom and depmaps.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 Deepak Bhole <dbhole@redhat.com> 1:3.4.2-4
- Add patch to generate full debuginfo for ecj itself

* Tue Mar 10 2009 Deepak Bhole <dbhole@redhat.com> 1:3.4.2-3
- Add BR for aot-compile-rpm

* Tue Mar 10 2009 Deepak Bhole <dbhole@redhat.com> 1:3.4.2-2
- Add BR for ant

* Fri Mar 6 2009 Andrew Overholt <overholt@redhat.com> 1:3.4.2-1
- 3.4.2

* Tue Dec 9 2008 Andrew Overholt <overholt@redhat.com> 1:3.4.1-1
- 3.4.1
- Don't conditionalize building of gcj AOT bits (we're only building
  this for gcj and IcedTea bootstrapping).

* Mon Jan 22 2007 Andrew Overholt <overholt@redhat.com> 3.2.1-1
- Add eclipse-ecj-gcj.patch.

* Fri Jan 12 2007 Andrew Overholt <overholt@redhat.com> 3.2.1-1
- First version for Fedora 7.
- Add BR: java-devel for jar.

* Thu Nov 02 2006 Andrew Overholt <overholt@redhat.com> 1:3.2.1-1jpp
- First version for JPackage.

* Mon Jul 24 2006 Andrew Overholt <overholt@redhat.com> 1:3.2.0-1
- Add versionless ecj.jar symlink in /usr/share/java.

* Wed Jul 19 2006 Andrew Overholt <overholt@redhat.com> 1:3.2.0-1
- 3.2.0.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar 07 2005 Andrew Overholt <overholt@redhat.com> 1:3.1.0.M4.9
- Don't build for ppc or ia64.

* Sun Feb 20 2005 Andrew Overholt <overholt@redhat.com> 1:3.1.0.M4.6
- Upgrade back to 3.1M4.
- Don't build for i386 and x86_64.
- Provide eclipse-ecj until we can deprecate this package.

* Fri Jan 14 2005 Andrew Overholt <overholt@redhat.com> 3.1.0.M4.4
- build for all but x86

* Thu Jan 13 2005 Andrew Overholt <overholt@redhat.com> 3.1.0.M4.3
- build for ppc exclusively

* Wed Jan 12 2005 Andrew Overholt <overholt@redhat.com> 3.1.0.M4.2
- Add RPM_OPT_FLAGS workaround.

* Tue Jan 11 2005 Andrew Overholt <overholt@redhat.com> 3.1.0.M4.1
- New version.

* Mon Sep 27 2004 Gary Benson <gbenson@redhat.com> 2.1.3-5
- Rebuild with new katana.

* Fri Jul 22 2004 Gary Benson <gbenson@redhat.com> 2.1.3-4
- Build without bootstrap-ant.
- Split out lib-org-eclipse-jdt-internal-compiler.so.

* Tue Jul  6 2004 Gary Benson <gbenson@redhat.com> 2.1.3-3
- Fix ecj-devel's dependencies.

* Wed Jun  9 2004 Gary Benson <gbenson@redhat.com> 2.1.3-2
- Work around an optimiser failure somewhere in ecj or gcj (#125613).

* Fri May 28 2004 Gary Benson <gbenson@redhat.com>
- Build with katana.

* Mon May 24 2004 Gary Benson <gbenson@redhat.com> 2.1.3-1
- Initial Red Hat Linux build.

* Mon May 24 2004 Gary Benson <gbenson@redhat.com>
- Upgraded to latest version.

* Sun Jul 20 2003 Anthony Green <green@redhat.com>
- Add %%doc

* Fri Jul 18 2003 Anthony Green <green@redhat.com>
- Initial RHUG build.
